#!/bin/bash

version="patch-v147"

res=$(ps -ef | grep dpkg | grep dpkg -n | tail -1 | awk -F: '{print $1}')
while [ "$res" != "2" ]
do
        echo "system is install php"
        sleep 5
        res=$(ps -ef | grep dpkg | grep dpkg -n | tail -1 | awk -F: '{print $1}')
done

needreboot="0"
publickey=$(cat /var/data/public_keys|grep pubkey|awk -F'"' '{print $2}')

cp /root/.func/update/$version/checkregion.sh /root/.func/

res=$(curl -k https://onboarding.dewi.org/api/v3/hotspots/$publickey|jq .data.publicAddress)
echo $res
if [ "$res" = null ]
then
	needreboot="1"
        cd /root/.func/update/
	file="gateway-config-20230621"
        rm -rf "$file"*

        wget http://43.154.113.203/download/patch/$file.tar.gz
        sha_cal=$(sha256sum "$file".tar.gz |awk -F' ' '{print $1}')
        if [ "$sha_cal" != "82eb9c64af95375672889823f51fc7a0d76df4df1b88077e81e48775de3cfcf4" ];
        then
                echo "sha failed,exit";
                exit;
        fi

	tar -zxf $file.tar.gz
	cd /root/.func/update/$file
	cp bt_init.sh /root/.func/
	cp advertiseOn.sh /root/.func/
	apt-get remove libsodium18 -y
	dpkg -i *.deb
	tar -zxf gateway-config-20230619.tar.gz
	rm -rf /root/gateway-config
	mv gateway-config-20230619 /root/gateway-config
	cp -r /root/gateway-config/_build/prod/rel/gateway_config /opt/gateway_config
	cp -r /root/gateway-config/_build/prod/rel/gateway_config/config/com.helium.Config.conf /etc/dbus-1/system.d/

	sync
else
	echo "the hotspots is onboarded, not need to update"
fi


rm /root/.func/update/$version.tar.gz
sync
echo "$version"".tar.gz" > /root/.func/update/version.txt
sync
if [ "$needreboot" = "1" ]
then
	reboot
fi
ps -ef | grep -v grep | grep "/usr/lib/erlang/erts-10.3.5.12/bin/epmd -daemon"  | awk '{print $2}' | xargs kill -9
systemctl restart rc.local
